using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Configuration;
using SWEDA;  // Declaração da classe SWEDA.//



    namespace Connect_C
{
    public partial class Form1 : Form 
    {

        // Variavel Global //
        public int IRetorno;
       //*******************//
       
  

        public Form1()
        {
            InitializeComponent();


        }


        #region Abre e Fecha Porta Serial

   private void AbrePortaSerialMenuItem_Click(object sender, EventArgs e)
        {
             
       IRetorno = ECFSWEDA.ECF_AbrePortaSerial();
           SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                ECFSWEDA.Analisa_Retorno_ECF();
        }
    
        private void FechaPortaSerialMenuItem_Click(object sender, EventArgs e)
        {
            SWEDA.ECFSWEDA.ECF_FechaPortaSerial();
        }
        
        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
           SWEDA.ECFSWEDA.ECF_FechaPortaSerial();
               
        }

        #endregion

    
        #region Funções Fiscais

        private void abrirCupomMenu_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_AbreCupom(""); // Opcional
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
     
            
        }

        private void VenderItemMenuItem1_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
            SWEDA.ECFSWEDA.Analisa();
        }

        private void venderItemToolStripMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_AbreCupom(""); // Opcional
          
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");

            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");
            IRetorno = SWEDA.ECFSWEDA.ECF_VendeItem("001", "Leite", "1200", "I", "2", 2, "2,00", "%", "0000");

            IRetorno = SWEDA.ECFSWEDA.ECF_EfetuaFormaPagamento("Dinheiro", "100,00");
            IRetorno = SWEDA.ECFSWEDA.ECF_TerminaFechamentoCupom("Volte sempre");
              
            
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void AumentaDescriçãoItemMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_AumentaDescricaoItem("Descrição no Item Leita Integral");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void CancelarCupomMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_CancelaCupom();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void TotalizarEmDinheiroMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_EfetuaFormaPagamento("Dinheiro", "100,00");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }
        private void TotalizarEmCartaoMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_EfetuaFormaPagamento("Cartao", "100,00");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }
        private void fecharCupomParaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_FechaCupom("Cartao", "A", "%", "0000", "100,00", "Volte Sempre");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }
       

        private void fechaCupomMenuItem1_Click(object sender, EventArgs e)
        {
         
            IRetorno = SWEDA.ECFSWEDA.ECF_FechaCupom("Dinheiro","A","%","0000", "10,00", "Volte Sempre");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void FechamentoCupomToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_TerminaFechamentoCupom("Volte sempre");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void CancelaItemAteriorMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_CancelaItemAnterior();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void reduçãoZToolStripMenuItem_Click(object sender, EventArgs e)
        {
            string data_completa = DateTime.Now.ToString("dd/MM/yyyy");
            string hora_completa = DateTime.Now.ToString("HH:mm:ss");
            IRetorno = SWEDA.ECFSWEDA.ECF_ReducaoZ(data_completa, hora_completa);
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void cupomAdicionalToolStripMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_CupomAdicionalMFD();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }
      
        private void RecebimentoNãoFiscalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_RecebimentoNaoFiscal("07", "100,00", "Dinheiro");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
            
        }
        private void efetuaFormaPagamentoMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
            IRetorno = ECFSWEDA.ECF_EfetuaFormaPagamentoMFD("DINHEIRO", "05,00", "1", "Compra parcelada");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        
       


        #endregion


        #region  LeiturasX e Leituras Memoria Fiscal
        
      private void leituraXMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_LeituraX();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void leituraParametrosMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_ImprimeConfiguracoesImpressora();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void leituraFiscalDataMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_LeituraMemoriaFiscalData("02/12/2006", "04/12/2006");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void leituraMemoriaFiscalReducaoMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_LeituraMemoriaFiscalReducao("0001", "0005");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void leituraMemoriaSerialDataMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_LeituraMemoriaFiscalSerialData("01/12/2006", "02/12/2006");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }
           
        private void CapturaCompletaMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_CapturaDocumentos("2", "000001", "000020", "LMF CRZ Completa Captura.txt", "1");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void CapturaCOOMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_CapturaDocumentos("5", "000010", "000020", "Fita Detalhe COO Captura.txt", "1");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();


        }

        private void CapturaDataMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_CapturaDocumentos("6", "01/12/2006","30/12/2006","Fita Detalhe DATA Captura.txt", "1");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void DownloadMFToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_DownloadMF("Download Memoria Fiscal");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void DownloadMFDMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_DownloadMFD("DownloadMFD Completa", "0", "000010", "000020", "SWEDA INFORMATICA");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void completaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_DownloadMFD("Download Por Data", "1", "20/11/2006", "04/12/2006", "SWEDA INFORMATICA");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void DownloadCOOMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_DownloadMFD("Download Por COO ", "2", "000015", "000030", "SWEDA INFORMATICA");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

      

     #endregion


        #region  Status do ECF

        private void VerificaImpressoraMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_VerificaImpressoraLigada();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

            if (IRetorno == 1)
            {
                MessageBox.Show("Impressora Ligada", "ECF.NET SWEDA", MessageBoxButtons.OK);
            } else {
                MessageBox.Show("Impressora Desligada", "ECF.NET SWEDA", MessageBoxButtons.OK);
            }
        }

        private void VerificaModeloMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder Tipo = new StringBuilder();

            IRetorno = SWEDA.ECFSWEDA.ECF_RetornaTipoEcf(Tipo);

            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);

            ECFSWEDA.Analisa_Retorno_ECF();

            if ("1".Equals(Tipo.ToString()))
            {

                MessageBox.Show("Impressora Térmica", "ECF .NET SWEDA", MessageBoxButtons.OK);

            }

            else
            {

                MessageBox.Show("Impressora Matricial", "ECF .NET SWEDA", MessageBoxButtons.OK);

            }


        }
        
        private void numeroSerieToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder NumeroSerie = new StringBuilder("               ");
            IRetorno = SWEDA.ECFSWEDA.ECF_NumeroSerie(NumeroSerie);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
         
           lblMensagem.Text = NumeroSerie.ToString();
        
        }
        
        private void VersaoFirmwareMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder Firmware = new StringBuilder("    ");
            IRetorno = SWEDA.ECFSWEDA.ECF_VersaoFirmware(Firmware);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
            
            lblMensagem.Text = Firmware.ToString();

        }


        private void NumeroSerieMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder NumeroSerieMFD = new StringBuilder("                    ");
            IRetorno = SWEDA.ECFSWEDA.ECF_NumeroSerieMFD(NumeroSerieMFD);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        
            lblMensagem.Text = NumeroSerieMFD.ToString();

        }

        private void VersãoFirmwareMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder FirmwareMFD = new StringBuilder("      ");
            IRetorno = SWEDA.ECFSWEDA.ECF_VersaoFirmwareMFD(FirmwareMFD);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
       
            lblMensagem.Text = FirmwareMFD.ToString();
        }

        private void RetornaCOOMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder RetornaCOO = new StringBuilder("      ");
            IRetorno = ECFSWEDA.ECF_RetornaCOO(RetornaCOO);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            
      
            lblMensagem.Text = RetornaCOO.ToString();
        }

        private void VersãoDllMenuItem_Click(object sender, EventArgs e)
        {

            StringBuilder Versao = new StringBuilder("         ");
            IRetorno = ECFSWEDA.ECF_VersaoDll(Versao);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
      
            lblMensagem.Text = Versao.ToString();
        }

        private void VerificarPortaVelocidadeMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder Porta = new StringBuilder(" ");
            StringBuilder Velocidade = new StringBuilder("      ");
            IRetorno = ECFSWEDA.ECF_RetornaPortaVelocidade(Porta, Velocidade);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = "Porta COM : [ " + Porta.ToString() + " ] " + "Velocidade : [ " + Velocidade.ToString() + "]";

        }
        private void StatusRelatorioGerencialMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder statusReleGerencial = new StringBuilder("   ");
            IRetorno = SWEDA.ECFSWEDA.ECF_StatusRelatorioGerencial(statusReleGerencial);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
            lblMensagem.Text = statusReleGerencial.ToString();

        }

        private void StatusCupomFiscalMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder statusCupomFiscal = new StringBuilder("  ");
            IRetorno = SWEDA.ECFSWEDA.ECF_StatusCupomFiscal(statusCupomFiscal);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
            lblMensagem.Text = statusCupomFiscal.ToString();
        }


        private void verificaZPendenteMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder Zpendente = new StringBuilder("   ");

            IRetorno = ECFSWEDA.ECF_VerificaZPendente(Zpendente);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
            lblMensagem.Text =   Zpendente.ToString();
        }


     #endregion

        
        #region Funções de Parametrização do ECF

      private void ApagaTabelaMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ApagaTabelaNomesRelatoriosGerenciais();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
  
        }

        private void ApagaTabelaAliquotaMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ApagaTabelaAliquotas();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void ApagaTabelaFormaPagamentoMenuItem_Click(object sender, EventArgs e)
        {
             IRetorno = SWEDA.ECFSWEDA.ECF_ApagaTabelaNomesFormasdePagamento();
             SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
             SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
            
        }

        private void ApagaTabelaNomesNaoFiscaisMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ApagaTabelaNomesNaoFiscais();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void ProgramarAliquotaMenuItem_Click(object sender, EventArgs e)
        {
           // 0  (zero) para vincular a alíquota ao ICMS e 1 (um) para vincular ao ISS

            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaAliquota("1200", 0);
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
            
            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaAliquota("1800", 0);
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
           
            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaAliquota("2500", 0);
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaAliquota("0500", 1);
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

       }

        private void nomeiaToolStripMenuItem_Click(object sender, EventArgs e)

        {

          // Os totalizadores "SANGRIA" e "SUPRIMENTO" são programados automaticamente
            
            IRetorno = ECFSWEDA.ECF_NomeiaTotalizadorNaoSujeitoIcms(1,"-1 RETIRADA");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();


            IRetorno = ECFSWEDA.ECF_NomeiaTotalizadorNaoSujeitoIcms(2,"FUNDO DE CAIXA");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            IRetorno = ECFSWEDA.ECF_NomeiaTotalizadorNaoSujeitoIcms(3,"PAGAMENTOS");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();


        }

        private void ProgramaHorarioVeraoMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaHorarioVerao();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void ProgramarFormaPagamentoMenuItem_Click(object sender, EventArgs e)
        {
            // 1= Permite habilitar a emissão de CDC cupom vinculado
            // 0= Não permite emitir cupom vinculado
            //  A Forma de Pagamento DINHEIRO é cadastrado automaticamente e não pode ser VINCULADO
       
            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaFormaPagamentoMFD("CHEQUE", "1");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaFormaPagamentoMFD("CARTAO", "1");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaFormaPagamentoMFD("TICKET", "1");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }
     
        private void NomeiaRelatorioGerencialMFDMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_NomeiaRelatorioGerencialMFD("02","Relatorio Gerencial");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();


        }
                
        private void ProgramarOperadorMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaOperador("Joao");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }


        private void ProgramaZautoMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = ECFSWEDA.ECF_ZAUTO();

            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void ProgramarArredondamentoMenuStripm_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaArredondamento();
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void ProgramarTrucamentoMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ProgramaTruncamento();
            ECFSWEDA.Analisa_Retorno_ECF();
        }

            


       
        
#endregion


        #region Relatorio Fiscais Sintegra

        private void relatorioTipo60MestreToolStripMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_RelatorioTipo60Mestre();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }
        private void relatorioTipo60ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_RegistrosTipo60();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void relatorioTipo60AnalisticoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_RelatorioTipo60Analitico();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void relatorioTipo60AnaliticoMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_RelatorioTipo60AnaliticoMFD();
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }
        
        private void MapaResumoMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_MapaResumo();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        }
        private void MapaResumoMDFMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = ECFSWEDA.ECF_MapaResumoMFD();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        #endregion

     
        # region Retorno Impressora


        private void CupomFiscalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder NumCupom = new StringBuilder("      ");
            IRetorno = ECFSWEDA.ECF_ContadorCupomFiscalMFD(NumCupom);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = NumCupom.ToString();

        }

        private void CupomCanceladoMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder NumCupomCanc = new StringBuilder("    ");
            IRetorno = ECFSWEDA.ECF_NumeroCuponsCancelados(NumCupomCanc);
                       ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                       ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = NumCupomCanc.ToString();


        }

        private void CupomNaoFiscalMenuItem_Click(object sender, EventArgs e)
        {
            StringBuilder NumCupomNaoFisc = new StringBuilder("      ");
            IRetorno = ECFSWEDA.ECF_NumeroOperacoesNaoFiscais(NumCupomNaoFisc);
                       ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                       ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = NumCupomNaoFisc.ToString();

        }

        private void IntervencaoMenuItem_Click(object sender, EventArgs e)
        {
             StringBuilder Interven = new StringBuilder("    ");
             IRetorno = ECFSWEDA.ECF_NumeroIntervencoes(Interven);
                        ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                        ECFSWEDA.Analisa_Retorno_ECF();
                        lblMensagem.Text = Interven.ToString();

       }

        private void GrandeTotalMenuItem_Click(object sender, EventArgs e)
        {

            StringBuilder GrandeTotal = new StringBuilder("                  ");
            IRetorno = ECFSWEDA.ECF_GrandeTotal(GrandeTotal);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = GrandeTotal.ToString();
        }

        private void DataMovimentoMenuItem_Click(object sender, EventArgs e)
        {
           StringBuilder DataMovimento = new StringBuilder("      ");
           IRetorno = ECFSWEDA.ECF_DataMovimento(DataMovimento);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = DataMovimento.ToString();

        }

        private void DataMovimentoUltiRZMenuItem_Click(object sender, EventArgs e)
        {

            StringBuilder DataMovimUltimRZ = new StringBuilder("      ");
            IRetorno = ECFSWEDA.ECF_DataMovimentoUltimaReducaoMFD(DataMovimUltimRZ);
                ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                ECFSWEDA.Analisa_Retorno_ECF();
                lblMensagem.Text = DataMovimUltimRZ.ToString();
        }

       
        private void CancelaItemGenericoMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_CancelaItemGenerico("001");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

      
            
        #endregion


        #region Gaveta 


        private void AbreGavetaMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = ECFSWEDA.ECF_AcionaGaveta();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void VerificaEstadoGavetaMenuItem_Click(object sender, EventArgs e)
        {
            int EstadoGav;

            IRetorno = ECFSWEDA.ECF_VerificaEstadoGaveta(out EstadoGav);
                       ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                       ECFSWEDA.Analisa_Retorno_ECF();

                       if (EstadoGav == 1)
                       {
                           MessageBox.Show("Gaveta  Fechada ", "ECF .NET SWEDA", MessageBoxButtons.OK);
                       }
                       else
                       {
                          MessageBox.Show("Gaveta Aberta", "ECF .NET SWEDA", MessageBoxButtons.OK);
                       }
            lblMensagem.Text = EstadoGav.ToString();
    
       
    }

        # endregion

  
        #region Funções de Registry

    private void pathRegistryToolStripMenuItem_Click(object sender, EventArgs e)
        {

            Form2 newForm = new Form2();
            newForm.Show();
        }

        private void RegitryDefaultMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_Registry_Default();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }
    #endregion


        #region Funções de Cheque

        private void leiauteChequeMenuItem_Click(object sender, EventArgs e)
        {

            string NumBanco = new string('\x20', 3);
            string LeiauteBanco = new string('\x20', 63);
//745|137|64|30|56|10|50|10|44|120|37|163|20|15|176|4|Citibank
            IRetorno = ECFSWEDA.ECF_ProgramarLeiauteCheque("001", LeiauteBanco);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

         
        }

       private void ProgramarMoedaSingularMenuItem_Click(object sender, EventArgs e)
        {
            string Reais = new string('\x20', 19);

            IRetorno = ECFSWEDA.ECF_ProgramaMoedaSingular(Reais);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = Reais.ToString();

        }

        private void ProgramarMoedaPluralMenuItem_Click(object sender, EventArgs e)
        {
            string MoedaPlural = new string('\x20',22);
            IRetorno = ECFSWEDA.ECF_ProgramaMoedaPlural(MoedaPlural);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            lblMensagem.Text = MoedaPlural.ToString();
        }

       
        private void verificaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            int SCheque;
            IRetorno = SWEDA.ECFSWEDA.ECF_VerificaStatusCheque(out SCheque);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

            switch (SCheque)
            { 
                case 1:
                    lblMensagem.Text = "1 Impressora ok. " + SCheque.ToString();
                    break;
                case 2:
                    lblMensagem.Text = "2 Cheque em impressão"+SCheque.ToString();
                    break;
                case 3:
                    lblMensagem.Text = "3 Cheque posicionado"+ SCheque.ToString();
                    break;
                case 4:
                    lblMensagem.Text = "4 Aguardando o posicionamento do cheque."+SCheque.ToString();
                    break;
                   
            }

        }

        private void imprimeChequeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ImprimeCheque("001", "50,00", "Sweda", "São Paulo", "21/12/06", "Fim Imprime Cheque");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
            

        }

        private void imprimeCopiaChequeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_ImprimeCopiaCheque();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void IncluiCidadeFavorecidoMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_IncluiCidadeFavorecido("São Paulo", "SWEDA");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();


        }
        # endregion



        #region Comprovante não Fiscal

        private void SuprimentoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_Suprimento("100,00", "DINHEIRO");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
           

        }

        private void SangriaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_Sangria("50,00");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
           
        }

           
   
        private void FundoDeCaixaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_Suprimento("100,00", "Dinheiro");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();


        }

        private void AbreRecebimentoToolStripMenuItem_Click(object sender, EventArgs e)
        {
           IRetorno = SWEDA.ECFSWEDA.ECF_AbreRecebimentoNaoFiscal("07","A","$","2,00","22,50","ignorado");
            //("1.111.111-1","Maria","Rua Dona Brígida, 713");
           SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
           SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void EfetuaRecebimentoNaoFiscalMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_EfetuaRecebimentoNaoFiscalMFD("07","50,00");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();
           

        }

        private void FechaRecebimentoNaoFiscalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_FechaRecebimentoNaoFiscalMFD("Boas Compras Volte Sempre |Funções MFD|");
            SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void abreRecebimentoToolStripMenuItem1_Click(object sender, EventArgs e)
        {
           IRetorno = SWEDA.ECFSWEDA.ECF_AbreRecebimentoNaoFiscal("02", "","","","50,00","Connect/C");
           SWEDA.ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
           SWEDA.ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void RecebimentoNãoFiscalToolStripMenuItem1_Click(object sender, EventArgs e)
        {



        }

        private void fechaRToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_FechaComprovanteNaoFiscalVinculado();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void AbreRelatorioGerencialMenuItem_Click(object sender, EventArgs e)
        {
            txtTextoNaoFiscal.Visible = true;
            IRetorno = SWEDA.ECFSWEDA.ECF_AbreRelatorioGerencial();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void AbreRelatorioGerencialMDFMenuItem_Click(object sender, EventArgs e)
        {

           txtTextoNaoFiscal.Visible = true;
            IRetorno = SWEDA.ECFSWEDA.ECF_AbreRelatorioGerencialMDF("03");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
       
         }

        private void enviaTextoToolStripMenuItem_Click(object sender, EventArgs e)
        {

            txtTextoNaoFiscal.Visible = true;
            try
            {
                IRetorno = SWEDA.ECFSWEDA.ECF_EnviarTextoCNF(txtTextoNaoFiscal.Text.ToString());
            }
           catch (Exception ex){ MessageBox.Show("String Maior que 618 Caracter", ex.Message); }
           

                ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void relatorioGerencialToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
            txtTextoNaoFiscal.Visible = true;

            try
            {
                IRetorno = SWEDA.ECFSWEDA.ECF_RelatorioGerencial(txtTextoNaoFiscal.Text.ToString());
            }
           catch (Exception ex) { MessageBox.Show("String Maior que 618 Caracter", ex.Message); }
           
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void usaRelatorioGerencialMDFToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
            txtTextoNaoFiscal.Visible = true;
            try
            {
                IRetorno = SWEDA.ECFSWEDA.ECF_UsaRelatorioGerencialMFD(txtTextoNaoFiscal.Text.ToString());
            }
            catch (Exception ex) { MessageBox.Show("String Maior que 618 Caracter", ex.Message); }
           
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void fechaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = SWEDA.ECFSWEDA.ECF_FechaRelatorioGerencial();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
            txtTextoNaoFiscal.Text = "";
            txtTextoNaoFiscal.Visible = false;

        }

       #endregion


        #region Funções TEF


        private void iniciaModoTEFToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno =  ECFSWEDA.ECF_IniciaModoTEF();
                        ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
                        ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void abreComprovanteNaoFiscalVinculadoToolStripMenuItem_Click(object sender, EventArgs e)
        {
           StringBuilder NumCupom = new StringBuilder("      ");
           ECFSWEDA.ECF_ContadorCupomFiscalMFD(NumCupom);
           lblMensagem.Text = NumCupom.ToString();

        IRetorno = ECFSWEDA.ECF_AbreComprovanteNaoFiscalVinculado("Cartao", "100,00", NumCupom.ToString());
                   ECFSWEDA.Analisa_Retorno_ECF();

               txtTextoNaoFiscal.Visible = true;

       }

        private void usaComprovanteNaoFiscalVinculadoTEFToolStripMenuItem_Click(object sender, EventArgs e)
        {
            txtTextoNaoFiscal.Visible = true;

            string texto = txtTextoNaoFiscal.Text;
           try
            {
                IRetorno = ECFSWEDA.ECF_UsaComprovanteNaoFiscalVinculado(texto);
            }
            catch (OverflowException ex)
            { MessageBox.Show("String Maior que 618 Caracter", ex.Message); }
            
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void fechaComprovanteNaoFiscalVinculadoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_FechaComprovanteNaoFiscalVinculado();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void usaComprovanteNaoFiscalVinculadoTEFToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            string txt;
            txtTextoNaoFiscal.Visible = true;

            txt = txtTextoNaoFiscal.Text;

            try
            {
                IRetorno = ECFSWEDA.ECF_UsaComprovanteNaoFiscalVinculadoTEF(txt);
            }
            catch (OverflowException ex)
            { MessageBox.Show("String Maior que 618 Caracter", ex.Message); }

            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

       
        private void reimpressaoNaoFiscalVinculadoMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_ReimpressaoNaoFiscalVinculadoMFD();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);

        }

        private void segundaViaNaoFiscalVinculadoMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_SegundaViaNaoFiscalVinculadoMFD();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);


        }

        private void finalizaModoTEFToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_FinalizaModoTEF();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void estornoNaoFiscalVinculadoMFDToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_EstornoNaoFiscalVinculadoMFD("ID Consumidor","Consumidor","Dona Brigida");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();               
        }

        private void tEFImprimirRespostaCartaoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_TEF_ImprimirRespostaCartao("C:\arquivo.txt","Cartao","0","100,00");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void tEFImprimirRespostaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_TEF_ImprimirResposta("C:\arquivo.txt","Cartao","0");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void tEFFechaRelatorioToolStripMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = ECFSWEDA.ECF_TEF_FechaRelatorio();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }

        private void tEFEsperarArquivoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            IRetorno = ECFSWEDA.ECF_TEF_EsperarArquivo("C:\arquivo.txt", "25", "0");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();

        }


        private void relatorioGerencialTEFToolStripMenuItem_Click(object sender, EventArgs e)
        { 
            string TextoTEF;
            txtTextoNaoFiscal.Visible = true;
            
            TextoTEF = txtTextoNaoFiscal.Text;
            IRetorno = ECFSWEDA.ECF_RelatorioGerencialTEF(TextoTEF);
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        }

        private void usaRelatorioGerencialMFDTEFToolStripMenuItem_Click(object sender, EventArgs e)
        {
            string TextoRelatorio;
            txtTextoNaoFiscal.Visible = true;
            TextoRelatorio = txtTextoNaoFiscal.Text;

             IRetorno = ECFSWEDA.ECF_UsaRelatorioGerencialMFDTEF(TextoRelatorio);
             ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
             ECFSWEDA.Analisa_Retorno_ECF();
         }

        #endregion

        private void iniciaToolStripMenuItem_Click(object sender, EventArgs e)
        {

            IRetorno = SWEDA.ECFSWEDA.ECF_IniciaFechamentoCupom("D", "$","2000");
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();



        }

        private void retornaIndiceTotalizadoresToolStripMenuItem_Click(object sender, EventArgs e)
        {
            string Indice = new string('\x20',02);
           // string Nome = new string('\x20',13);
           // Nome = txtRetorno.Text;
            IRetorno = SWEDA.ECFSWEDA.ECF_RetornaIndiceComprovanteNaoFiscal(Indice.ToString());
           // lblMensagem.Text = Indice.ToString();
            ECFSWEDA.Analisa_Retorno_Dll(IRetorno);
            ECFSWEDA.Analisa_Retorno_ECF();
        
        }

       


















     }  
 }
